Bug 140869 - Greek keyboard layout produces non-Greek
Summary: Greek keyboard layout produces non-Greek
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-25 22:21 UTC by Zenon Panoussis
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:13:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zenon Panoussis 2004-11-25 22:21:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20041002

Description of problem:
Having enabled keyboard layouts and chosen Greek, I get weird
characters which resemble Arabic but are not, and are certainly not
Greek. The error is not consistent through applications. 

For instance, typing abgdezhu in the body of a Mozilla mail
composition window (composition charset: UTF-8) results in correct
Greek "αβγδεζηθ". Typing the
same in the subject field gives weird characters instead. Kate
produces garbage in its editing pane, but correct Greek in its command
line pane. Openoffice works correctly, evolution not at all. 

I'm not at all sure kde is to blame for this, I'm filing it against it
in lack of better suspects. 


Version-Release number of selected component (if applicable):
3.1.3-5.4

How reproducible:
Always

Steps to Reproduce:
1. Enable multiple keyboard layouts, including Greek
2. Choose Greek keyboard
3. Type in various applications
    

Actual Results:  Garbage more often than not
Expected Results:  Greek

Comment 1 Simos Xenitellis 2006-03-11 05:06:16 UTC
Can you please provide a screenshot?

Comment 3 RHEL Product and Program Management 2007-10-19 19:13:12 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.